Bug 125080 - LibreOffice crashes when adding icons to Gallery
Summary: LibreOffice crashes when adding icons to Gallery
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-05-02 11:31 UTC by Miroslav Ďurian
Modified: 2019-05-06 10:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["VclPtr<vcl::Window>::operator=(vcl::Window *)"]


Attachments
bt with debug symbols (5.02 KB, text/plain)
2019-05-02 17:57 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Ďurian 2019-05-02 11:31:21 UTC
Description:
When adding images to new theme in Draw - Gallery, the program crashes.

Steps to Reproduce:
1. Click on "View" in Main Menu
2. Click "Gallery"
3. Click "New Theme..." button in the top right corner
4. Change tab to "Files"
5. Click "Find Files..." button and select a folder with icons
6. Click "Add All" (or "Add") button

Actual Results:
LibreOffice Draw crashes and prompts to recover document.

Expected Results:
Images are added to the newly created theme in Gallery.


Reproducible: Always


User Profile Reset: No



Additional Info:
It crashes only when using locale sk_SK.
When the program is running in en_US locale from the command line like this:
$ LANG=en_US lodraw
It doesn't crash, but the images aren't added either.
The "Add All" button just don't work in this scenario and does nothing.

Here is the info from Help- About LibreOffice

Verzia: 6.2.3.2
ID zostavenia: 6.2.3-2
Vlákna CPU: 4; OS:Linux 4.19; Vykresľovanie UI: predvolené; VCL: kde5; 
Národné nastavenie: sk-SK (sk_SK.UTF-8); Jazyk UI: sk-SK
Calc: threaded
Comment 1 Xisco Faulí 2019-05-02 12:18:10 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=6c2962b48e183c0a5008f439104db5e9b5810b5c

author	Caolán McNamara <caolanm@redhat.com>	2018-11-28 19:56:26 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-11-29 13:30:37 +0100
commit	6c2962b48e183c0a5008f439104db5e9b5810b5c (patch)
tree	e6bf29a8d8a2889beaf2a35ae36eb3b9e0599d06
parent	b7900dd3fdc93e6830006f41047315dd66d0c989 (diff)
weld GalleryThemeProperties

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 2 Julien Nabet 2019-05-02 17:57:42 UTC
Created attachment 151137 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Commit Notification 2019-05-03 11:39:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c0038f61aff45595c962911f16dfdef93f41924e%5E%21

Resolves: tdf#125080 crashing adding a ref to a non-VclPtr

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-05-03 11:41:04 UTC
fixed in 6-3, backport to 6-2 in gerrit
Comment 5 Commit Notification 2019-05-03 19:43:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/7bfbac57ee1c0ad1e22f6fd351882e027975b635%5E%21

Resolves: tdf#125080 crashing adding a ref to a non-VclPtr

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-05-06 10:17:25 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: ddea172792d13516ff7e0dd43f1f78b74ade8914
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!